Introduction The IBM Watson™ Speech to Text service provides APIs that use IBM's speech-recognition capabilities to produce transcripts of spoken audio. The service can transcribe speech from various languages and audio formats. In addition to basic transcription, the service can produce detailed information about many different aspects of the audio. It returns all JSON response content in the UTF-8 character set. The service supports three types of models: large speech models that use the locale ex.: en-US, fr-FR as their name, previous-generation models that include the terms Broadband and Narrowband in their names, and next-generation models that include the terms Multimedia and Telephony in their names. Broadband and multimedia models have minimum sampling rates of 16 kHz. Narrowband and telephony models have minimum sampling rates of 8 kHz. The large speech models and next-generation models offer high throughput and greater transcription accuracy. Effective 31 July 2023, all previous-generation models will be removed from the service and the documentation. Most previous-generation models were deprecated on 15 March 2022. You must migrate to the equivalent large speech model or next-generation model by 31 July 2023. For more information, see Migrating to large speech modelshttps://cloud.ibm.com/docs/speech-to-text?topic=speech-to-text-models-migrate. For speech recognition, the service supports synchronous and asynchronous HTTP Representational State Transfer REST interfaces. It also supports a WebSocket interface that provides a full-duplex, low-latency communication channel: Clients send requests and audio to the service and receive results over a single connection asynchronously. The service also offers two customization interfaces. Use language model customization to expand the vocabulary of a base model with domain-specific terminology. Use acoustic model customization to adapt a base model for the acoustic characteristics of your audio. For language model customization, the service also supports grammars. A grammar is a formal language specification that lets you restrict the phrases that the service can recognize. Language model customization is available for most large speech models, previous- and next-generation models. Acoustic model customization is available for all previous-generation models. This documentation describes Java SDK major version 9. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/java-sdk/blob/master/MIGRATION-V9.md. This documentation describes Node SDK major version 6. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/node-sdk/blob/master/MIGRATION-V6.md. This documentation describes Python SDK major version 5. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/python-sdk/blob/master/MIGRATION-V5.md. The code examples on this tab use the client library that is provided for Java. Maven xml Method Path Summary GET /v1/models List models GET /v1/models/{model_id} Get a model POST /v1/recognize Recognize audio POST /v1/register_callback Register a callback POST /v1/unregister_callback Unregister a callback POST /v1/recognitions Create a job GET /v1/recognitions Check jobs GET /v1/recognitions/{id} Check a job DELETE /v1/recognitions/{id} Delete a job POST /v1/customizations Create a custom language model GET /v1/customizations List custom language models GET /v1/customizations/{customization_id} Get a custom language model DELETE /v1/customizations/{customization_id} Delete a custom language model POST /v1/customizations/{customization_id}/train Train a custom language model POST /v1/customizations/{customization_id}/reset Reset a custom language model POST /v1/customizations/{customization_id}/upgrade_model Upgrade a custom language model GET /v1/customizations/{customization_id}/corpora List corpora POST /v1/customizations/{customization_id}/corpora/{corpus_name} Add a corpus GET /v1/customizations/{customization_id}/corpora/{corpus_name} Get a corpus DELETE /v1/customizations/{customization_id}/corpora/{corpus_name} Delete a corpus GET /v1/customizations/{customization_id}/words List custom words POST /v1/customizations/{customization_id}/words Add custom words PUT /v1/customizations/{customization_id}/words/{word_name} Add a custom word GET /v1/customizations/{customization_id}/words/{word_name} Get a custom word DELETE /v1/customizations/{customization_id}/words/{word_name} Delete a custom word GET /v1/customizations/{customization_id}/grammars List grammars POST /v1/customizations/{customization_id}/grammars/{grammar_name} Add a grammar GET /v1/customizations/{customization_id}/grammars/{grammar_name} Get a grammar DELETE /v1/customizations/{customization_id}/grammars/{grammar_name} Delete a grammar POST /v1/acoustic_customizations Create a custom acoustic model GET /v1/acoustic_customizations List custom acoustic models GET /v1/acoustic_customizations/{customization_id} Get a custom acoustic model DELETE /v1/acoustic_customizations/{customization_id} Delete a custom acoustic model POST /v1/acoustic_customizations/{customization_id}/train Train a custom acoustic model POST /v1/acoustic_customizations/{customization_id}/reset Reset a custom acoustic model POST /v1/acoustic_customizations/{customization_id}/upgrade_model Upgrade a custom acoustic model GET /v1/acoustic_customizations/{customization_id}/audio List audio resources POST /v1/acoustic_customizations/{customization_id}/audio/{audio_name} Add an audio resource GET /v1/acoustic_customizations/{customization_id}/audio/{audio_name} Get an audio resource DELETE /v1/acoustic_customizations/{customization_id}/audio/{audio_name} Delete an audio resource DELETE /v1/user_data Delete labeled data POST /v1/detect_language Spoken language identification